# You can override the included template(s) by including variable overrides
# SAST customization: https://docs.gitlab.com/ee/user/application_security/sast/#customizing-the-sast-settings
# Secret Detection customization: https://docs.gitlab.com/ee/user/application_security/secret_detection/#customizing-settings
# Dependency Scanning customization: https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#customizing-the-dependency-scanning-settings
# Note that environment variables can be set in several places
# See https://docs.gitlab.com/ee/ci/variables/#cicd-variable-precedence


rules-build:        
  before_script:
    - echo "before"
  stage: test
  script:
    - | 
      if [[ "$CI_COMMIT_BRANCH" == "$CI_DEFAULT_BRANCH" ]]; then
        export TAG=$VERSION
      else 
        export TAG=$CI_COMMIT_SHA    
      fi
    - env  | grep TAG
    - env  | grep CI_COMMIT_BRANCH
    - env  | grep CI_DEFAULT_BRANCH
    - echo $TAG
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: never
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
      when: never
    - if: ($VERSION && $VERSION != "")
      when: manual
    - when: never
